これは、このサイト(ブログ)の話しです。復旧後、この記事を投稿しました。

 

Ubuntu 22.04 LTS にアップグレードしたら、WordPressのPHPソースコードだけが表示されてブログが使え無くなってしまった。

phpinfo()も機能しないのでPHP関連に不具合があるようです。Ubuntu 22.04 LTSにアップグレードしたらPHP8.1.2になり、PHP8.1にWordPressの古いバージョンは未対応らしい。なので最新のWordPress 5.9.3をインストールする事にしました。

 

アップグレード日:2022年4月27日

Ubuntu 20.04.4 LTS → 22.04 LTS

$ sudo do-release-upgrade -d

 

Ubuntu 22.04 LTS
PHP8.1.2
WordPress 5.9.3

 

↑ 現時点で最新のバージョンにしましたが、まだphpinfo()も機能しません。色々ググって試したら以下のコマンドが有効でした。

$ sudo a2enmod php8.1
Considering dependency mpm_prefork for php8.1:
Considering conflict mpm_event for mpm_prefork:
Considering conflict mpm_worker for mpm_prefork:
Module mpm_prefork already enabled
Considering conflict php5 for php8.1:
Enabling module php8.1.
To activate the new configuration, you need to run:
  systemctl restart apache2


$ systemctl restart apache2
==== AUTHENTICATING FOR org.freedesktop.systemd1.manage-units ===
Authentication is required to restart 'apache2.service'.
Authenticating as: xxxxxx
Password: xxxxxx
==== AUTHENTICATION COMPLETE ===

コメントを残す

メールアドレスが公開されることはありません。

Post Navigation